## mesa 7.0.3-maemo1

=== src/glw/Makefile ===
# src/glw/Makefile

TOP = ../..
include $(TOP)/configs/current

MAJOR = 1
MINOR = 0
TINY = 0

INCDIRS = -I$(TOP)/include -I/usr/include/Motif1.2 $(X11_INCLUDES)


OBJECTS = $(GLW_SOURCES:.c=.o)



##### RULES #####

.c.o:
	$(CC) -c $(INCDIRS) $(CFLAGS) $<



##### TARGETS #####

default: $(TOP)/$(LIB_DIR)/$(GLW_LIB_NAME)

# GLU pkg-config file
pcedit = sed \
	-e 's,@INSTALL_DIR@,$(INSTALL_DIR),' \
	-e 's,@LIB_DIR@,$(LIB_DIR),' \
	-e 's,@VERSION@,$(MAJOR).$(MINOR).$(TINY),'
glw.pc: glw.pc.in
	$(pcedit) $< > $@

install: glw.pc
	$(INSTALL) -d $(DESTDIR)$(INSTALL_DIR)/include/GL
	$(INSTALL) -d $(DESTDIR)$(INSTALL_DIR)/$(LIB_DIR)
	$(INSTALL) -d $(DESTDIR)$(INSTALL_DIR)/$(LIB_DIR)/pkgconfig
	$(INSTALL) -m 644 *.h $(DESTDIR)$(INSTALL_DIR)/include/GL
	$(INSTALL) $(TOP)/$(LIB_DIR)/libGLw.* $(DESTDIR)$(INSTALL_DIR)/$(LIB_DIR)
	$(INSTALL) -m 644 glw.pc $(DESTDIR)$(INSTALL_DIR)/$(LIB_DIR)/pkgconfig

clean:
	-rm depend depend.bak
	-rm -f *.o *~


# Make the library
$(TOP)/$(LIB_DIR)/$(GLW_LIB_NAME): $(OBJECTS)
	$(TOP)/bin/mklib -o $(GLW_LIB) -linker '$(CC)' -ldflags '$(LDFLAGS)' \
		-major $(MAJOR) -minor $(MINOR) -patch $(TINY) \
		$(MKLIB_OPTIONS) -install $(TOP)/$(LIB_DIR) \
		$(GLW_LIB_DEPS) $(OBJECTS)


#
# Run 'make depend' to update the dependencies if you change what's included
# by any source file.
# 
depend: $(GLW_SOURCES)
	touch depend
	$(MKDEP) $(MKDEP_OPTIONS) -I$(TOP)/include $(GLW_SOURCES) \
		$(X11_INCLUDES) > /dev/null 


include depend

=== src/glut/mini/Makefile ===
# subset glut

TOP = ../../..
include $(TOP)/configs/current

MARK = $(TOP)/src/glut/glx

GLUT_MAJOR = 3
GLUT_MINOR = 7
GLUT_TINY = 1

INCLUDES = -I$(TOP)/include -I$(MARK)

CORE_SOURCES = \
	bitmap.c \
	callback.c \
	color.c \
	globals.c \
	init.c \
	menu.c \
	models.c \
	overlay.c \
	state.c \
	teapot.c \
	window.c


MARK_SOURCES = \
	$(MARK)/glut_8x13.c \
	$(MARK)/glut_9x15.c \
	$(MARK)/glut_hel10.c \
	$(MARK)/glut_hel12.c \
	$(MARK)/glut_hel18.c \
	$(MARK)/glut_tr10.c \
	$(MARK)/glut_tr24.c

SOURCES = $(CORE_SOURCES)  $(MARK_SOURCES)

OBJECTS =  $(SOURCES:.c=.o)


##### RULES #####

.c.o:
	$(CC) -c $(INCLUDES) $(CFLAGS) $(DEFINES) $< -o $@

.S.o:
	$(CC) -c $(INCLUDES) $(CFLAGS) $(DEFINES)  $< -o $@


##### TARGETS #####

default: depend $(TOP)/$(LIB_DIR)/$(GLUT_LIB_NAME)


# Make the library
$(TOP)/$(LIB_DIR)/$(GLUT_LIB_NAME): depend $(OBJECTS)
	$(TOP)/bin/mklib -o $(GLUT_LIB) -linker '$(CC)' -ldflags '$(LDFLAGS)' \
		-major $(GLUT_MAJOR) -minor $(GLUT_MINOR) -patch $(GLUT_TINY) \
		$(GLUT_LIB_DEPS) -install $(TOP)/$(LIB_DIR) \
		$(MKLIB_OPTIONS) $(OBJECTS)


# Run 'make -f Makefile.solo dep' to update the dependencies if you change
# what's included by any source file.
depend: $(SOURCES) 
	touch depend
	$(MKDEP) $(MKDEP_OPTIONS) $(INCLUDES) $(SOURCES) > /dev/null 

# Emacs tags
tags:
	etags `find . -name \*.[ch]` `find ../include`


# glut pkgconfig file
pcedit = sed \
	-e 's,@INSTALL_DIR@,$(INSTALL_DIR),' \
	-e 's,@LIB_DIR@,$(LIB_DIR),' \
	-e 's,@VERSION@,$(GLUT_MAJOR).$(GLUT_MINOR).$(GLUT_TINY),'
glut.pc: glut.pc.in
	$(pcedit) $< > $@

install: glut.pc
	$(INSTALL) -d $(DESTDIR)$(INSTALL_DIR)/include/GL
	$(INSTALL) -d $(DESTDIR)$(INSTALL_DIR)/$(LIB_DIR)
	$(INSTALL) -d $(DESTDIR)$(INSTALL_DIR)/$(LIB_DIR)/pkgconfig
	$(INSTALL) -m 644 $(TOP)/include/GL/glut.h $(DESTDIR)$(INSTALL_DIR)/include/GL
	$(INSTALL) $(TOP)/$(LIB_DIR)/libglut* $(DESTDIR)$(INSTALL_DIR)/$(LIB_DIR)
	$(INSTALL) -m 644 glut.pc $(DESTDIR)$(INSTALL_DIR)/$(LIB_DIR)/pkgconfig


# Remove .o and backup files
clean: depend
	-rm -f depend
	-rm -f *.o *~ *.o *~ *.so libglut.so.3.7

include depend

=== src/mesa/glapi/Makefile ===
# This file isn't used during a normal compilation since we don't want to
# require Python in order to compile Mesa.
# Instead, when the Mesa developers update/change the API interface it's
# up to him/her to re-run this makefile and check in the newly generated files.


TOP = ../../..
include $(TOP)/configs/current

GLX_DIR = ../../glx/x11

OUTPUTS = glprocs.h glapitemp.h glapioffsets.h glapitable.h dispatch.h \
	../main/enums.c \
	../x86/glapi_x86.S \
	../x86-64/glapi_x86-64.S \
	../sparc/glapi_sparc.S \
	../drivers/dri/common/extension_helper.h \
	$(GLX_DIR)/indirect.c \
	$(GLX_DIR)/indirect.h \
	$(GLX_DIR)/indirect_init.c \
	$(GLX_DIR)/indirect_size.h \
	$(GLX_DIR)/indirect_size.c \
	$(GLX_DIR)/indirect_dispatch.c \
	$(GLX_DIR)/indirect_dispatch_swap.c \
	$(GLX_DIR)/indirect_dispatch.h \
	$(GLX_DIR)/indirect_reqsize.c \
	$(GLX_DIR)/indirect_reqsize.h \
	$(GLX_DIR)/indirect_size_get.c \
	$(GLX_DIR)/indirect_size_get.h \
	$(GLX_DIR)/indirect_table.c

API_XML = gl_API.xml \
	EXT_framebuffer_object.xml \
	APPLE_vertex_array_object.xml

COMMON = gl_XML.py glX_XML.py license.py $(API_XML) typeexpr.py
COMMON_GLX = $(COMMON) glX_API.xml glX_XML.py glX_proto_common.py

all: $(OUTPUTS)

glprocs.h: gl_procs.py $(COMMON)
	$(PYTHON2) $(PYTHON_FLAGS) $< > $@

glapitemp.h: gl_apitemp.py $(COMMON)
	$(PYTHON2) $(PYTHON_FLAGS) $< > $@

glapioffsets.h: gl_offsets.py $(COMMON)
	$(PYTHON2) $(PYTHON_FLAGS) $< > $@

glapitable.h: gl_table.py $(COMMON)
	$(PYTHON2) $(PYTHON_FLAGS) $< > $@

dispatch.h: gl_table.py $(COMMON)
	$(PYTHON2) $(PYTHON_FLAGS) $< -m remap_table > $@

../main/enums.c: gl_enums.py $(COMMON)
	$(PYTHON2) $(PYTHON_FLAGS) $< > $@

../x86/glapi_x86.S: gl_x86_asm.py $(COMMON)
	$(PYTHON2) $(PYTHON_FLAGS) $< > $@

../x86-64/glapi_x86-64.S: gl_x86-64_asm.py $(COMMON)
	$(PYTHON2) $(PYTHON_FLAGS) $< > $@

../sparc/glapi_sparc.S: gl_SPARC_asm.py $(COMMON)
	$(PYTHON2) $(PYTHON_FLAGS) $< > $@


../drivers/dri/common/extension_helper.h: extension_helper.py $(COMMON)
	$(PYTHON2) $(PYTHON_FLAGS) $< > $@

$(GLX_DIR)/indirect.c: glX_proto_send.py $(COMMON_GLX)
	$(PYTHON2) $(PYTHON_FLAGS) $< -m proto | $(INDENT) $(INDENT_FLAGS) > $@

$(GLX_DIR)/indirect.h: glX_proto_send.py $(COMMON_GLX)
	$(PYTHON2) $(PYTHON_FLAGS) $< -m init_h > $@

$(GLX_DIR)/indirect_init.c: glX_proto_send.py $(COMMON_GLX)
	$(PYTHON2) $(PYTHON_FLAGS) $< -m init_c > $@

$(GLX_DIR)/indirect_size.h: glX_proto_size.py $(COMMON_GLX)
	$(PYTHON2) $(PYTHON_FLAGS) $< -m size_h --only-set -h _INDIRECT_SIZE_H_ \
	  | $(INDENT) $(INDENT_FLAGS) > $@

$(GLX_DIR)/indirect_size.c: glX_proto_size.py $(COMMON_GLX)
	$(PYTHON2) $(PYTHON_FLAGS) $< -m size_c --only-set \
	  | $(INDENT) $(INDENT_FLAGS) > $@

$(GLX_DIR)/indirect_dispatch.c: glX_proto_recv.py $(COMMON_GLX)
	$(PYTHON2) $(PYTHON_FLAGS) $< -m dispatch_c > $@

$(GLX_DIR)/indirect_dispatch_swap.c: glX_proto_recv.py $(COMMON_GLX)
	$(PYTHON2) $(PYTHON_FLAGS) $< -m dispatch_c -s > $@

$(GLX_DIR)/indirect_dispatch.h: glX_proto_recv.py gl_and_glX_API.xml $(COMMON_GLX)
	$(PYTHON2) $(PYTHON_FLAGS) $< -m dispatch_h -f gl_and_glX_API.xml -s > $@

$(GLX_DIR)/indirect_size_get.h: glX_proto_size.py $(COMMON_GLX)
	$(PYTHON2) $(PYTHON_FLAGS) $< -m size_h --only-get -h '_INDIRECT_SIZE_GET_H_' \
	  | $(INDENT) $(INDENT_FLAGS) > $@

$(GLX_DIR)/indirect_size_get.c: glX_proto_size.py $(COMMON_GLX)
	$(PYTHON2) $(PYTHON_FLAGS) $< -m size_c | $(INDENT) $(INDENT_FLAGS) > $@

$(GLX_DIR)/indirect_reqsize.h: glX_proto_size.py $(COMMON_GLX)
	$(PYTHON2) $(PYTHON_FLAGS) $< -m reqsize_h --only-get -h '_INDIRECT_SIZE_GET_H_' \
	  | $(INDENT) $(INDENT_FLAGS) -l200 > $@

$(GLX_DIR)/indirect_reqsize.c: glX_proto_size.py $(COMMON_GLX)
	$(PYTHON2) $(PYTHON_FLAGS) $< -m reqsize_c | $(INDENT) $(INDENT_FLAGS) > $@

$(GLX_DIR)/indirect_table.c: glX_server_table.py gl_and_glX_API.xml $(COMMON_GLX)
	$(PYTHON2) $(PYTHON_FLAGS) $< -f gl_and_glX_API.xml > $@

clean:
	rm -f *~ *.pyo
	rm -f $(OUTPUTS)

=== src/mesa/drivers/glslcompiler/Makefile ===
# Makefile for stand-alone GL-SL compiler

TOP = ../../../..

include $(TOP)/configs/current


PROGRAM = glslcompiler

OBJECTS = \
	glslcompiler.o \
	../../glapi/glapi.o \
	../../glapi/glthread.o \
	../../main/dispatch.o \
	../common/driverfuncs.o \
	../../libmesa.a

INCLUDES = \
	-I$(TOP)/include \
	-I$(TOP)/include/GL/internal \
	-I$(TOP)/src/mesa \
	-I$(TOP)/src/mesa/main \
	-I$(TOP)/src/mesa/glapi \
	-I$(TOP)/src/mesa/math \
	-I$(TOP)/src/mesa/transform \
	-I$(TOP)/src/mesa/shader \
	-I$(TOP)/src/mesa/swrast \
	-I$(TOP)/src/mesa/swrast_setup \


default: $(PROGRAM)
	$(INSTALL) $(PROGRAM) $(TOP)/bin


glslcompiler: $(OBJECTS)
	$(CC) $(OBJECTS) -lm -lpthread -o $@


glslcompiler.o: glslcompiler.c
	$(CC) -c $(CFLAGS) $(INCLUDES) glslcompiler.c -o $@


clean:
	rm -f *.o *~ $(PROGRAM)

=== debian/changelog ===
mesa (7.0.3-maemo1) stable-security; urgency=high

  * fix to compile for maemo

 -- Thomas Maass <inyourface@gmx.de>  Thu, 01 Jul 2010 18:58:00 +0200

mesa (7.0.3-7) unstable; urgency=low

  * Cherry-pick patch from upstream:
    Use 3Dnow! x86-64 routines only on processors that support 3Dnow!
    (closes: #484180).
  * Also build the x86-specific dri drivers on kfreebsd (closes: #492894).

 -- Julien Cristau <jcristau@debian.org>  Sun, 14 Dec 2008 07:34:58 +0530

mesa (7.0.3-6) unstable; urgency=high

  * Update debian/copyright to the SGI Free Software License B, version 2.0.
    It now mirrors the free X11 license used by X.Org (closes: #368560).
    http://www.sgi.com/company_info/newsroom/press_releases/2008/september/opengl.html

 -- Julien Cristau <jcristau@debian.org>  Sat, 20 Sep 2008 16:30:44 +0200

mesa (7.0.3-5) unstable; urgency=low

  * Disable the i915tex driver, it doesn't build against libdrm 2.3.1.
  * Pull from mesa_7_0_branch (27425708).

 -- Julien Cristau <jcristau@debian.org>  Sat, 12 Jul 2008 18:56:19 +0200

mesa (7.0.3-4) unstable; urgency=low

  * Pull from mesa_7_0_branch (2ac4919d).
  * Put back our configs/ changes into the .diff.gz since choose-configs
    needs them before quilt is invoked. Put 04_cleanup-osmesa-configs.patch
    there as well for #485161.

 -- Brice Goglin <bgoglin@debian.org>  Wed, 18 Jun 2008 20:59:14 +0200

mesa (7.0.3-3) unstable; urgency=low

  * Pull from mesa_7_0_branch (718724de).
    + Fix intel_batchbuffer_space on i965, closes: #455817.
    + Fix busy error in i915_wait_irq for real now, closes: #467319.
  * Move our configs/ changes from the .diff.gz into our quilt patches,
    with 04_cleanup-osmesa-configs.patch renamed into 04_debian-configs.patch,
    closes: #485161.

 -- Brice Goglin <bgoglin@debian.org>  Tue, 17 Jun 2008 20:00:51 +0200

mesa (7.0.3-2) unstable; urgency=low

  * Pull from mesa_7_0_branch (03447de3).
  * Set right cliprects for the current draw region on Intel, closes: #467319.
  * Use BRW_TEXCOORDMODE_CLAMP instead of BRW_TEXCOORDMODE_CLAMP_BORDER
    to implement GL_CLAMP on i965, closes: #478880.
  * Fix segment fault with BASE_LEVEL set to 5 for MipMap on i915,
    closes: #451339.
  * Disable low impact fallback on r300 by default, closes: #440868.

 -- Brice Goglin <bgoglin@debian.org>  Fri, 13 Jun 2008 06:53:29 +0200

mesa (7.0.3-1) unstable; urgency=low

  * New upstream release.
  * Only call ProgramStringNotify if program parsing succeeded,
    closes: #473551.

 -- Brice Goglin <bgoglin@debian.org>  Fri, 11 Apr 2008 08:42:37 +0200

mesa (7.0.3~rc2-2) unstable; urgency=low

  * Pull from mesa_7_0_branch (1e83d70b).
  * Fixes regression in the i965 dri driver (closes: #470984, #470084)
  * Update 02_use-ieee-fp-on-s390-and-m68k.patch.
  * Change libgl1-mesa-swx11-i686's pre-dependency on libgl1-mesa-swx11 to a
    regular versioned dependency, and add ${shlibs:Depends}.

 -- Julien Cristau <jcristau@debian.org>  Mon, 31 Mar 2008 16:47:31 +0200

=== debian/control ===
Source: mesa
Section: graphics
Priority: optional
Maintainer: Thomas Maass <inyourface@gmx.de>
Standards-Version: 3.7.3
Build-Depends: debhelper (>= 5), quilt (>= 0.40), pkg-config, libdrm-dev (>= 2.2.0) [!hurd-i386], libx11-dev, xutils-dev, x11proto-gl-dev (>= 1.4.8), libxxf86vm-dev, libexpat1-dev, lesstif2-dev, dpkg-dev (>= 1.13.19), libxfixes-dev, libxdamage-dev, libxext-dev
Vcs-Git: git://git.debian.org/git/pkg-xorg/lib/mesa
Vcs-Browser: http://git.debian.org/?p=pkg-xorg/lib/mesa.git
Homepage: http://mesa3d.sourceforge.net/

Package: libgl1-mesa-swx11
Section: libs
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, libosmesa6 (>= 6.5.2-1)
Conflicts: mesag3-glide, mesag3-glide2, mesag3+ggi, libgl1, nvidia-glx, mesag3, libgl1-mesa-swrast
Provides: libgl1, mesag3, libgl1-mesa-swrast
Replaces: libgl1, mesag3, libgl1-mesa-swrast
Description: A free implementation of the OpenGL API -- runtime
 Mesa is a 3-D graphics library with an API which is very similar to
 that of OpenGL.  To the extent that Mesa utilizes the OpenGL command
 syntax or state machine, it is being used with authorization from
 Silicon Graphics, Inc.  However, the author makes no claim that Mesa
 is in any way a compatible replacement for OpenGL or associated with
 Silicon Graphics, Inc.
 .
 This library provides a pure software rasteriser; it does not provide
 a direct rendering-capable library, or one which uses GLX.  For that,
 please see libgl1-mesa-glx.
 .
 On Linux, this library is also known as libGL or libGL.so.1.

Package: libgl1-mesa-swx11-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libgl1-mesa-swx11 (= ${binary:Version})
Conflicts: libgl1-mesa-swrast-dbg
Provides: libgl1-mesa-swrast-dbg
Replaces: libgl1-mesa-swrast-dbg
Description: A free implementation of the OpenGL API -- debugging symbols
 Mesa is a 3-D graphics library with an API which is very similar to
 that of OpenGL.  To the extent that Mesa utilizes the OpenGL command
 syntax or state machine, it is being used with authorization from
 Silicon Graphics, Inc.  However, the author makes no claim that Mesa
 is in any way a compatible replacement for OpenGL or associated with
 Silicon Graphics, Inc.
 .
 This library provides a pure software rasteriser; it does not provide
 a direct rendering-capable library, or one which uses GLX.  For that,
 please see libgl1-mesa-glx.
 .
 On Linux, this library is also known as libGL or libGL.so.1.
 .
 This package contains debugging symbols for the software rasterization GL
 library.

Package: libgl1-mesa-swx11-i686
Section: libs
Priority: extra
Architecture: i386
Depends: libgl1-mesa-swx11 (= ${binary:Version}), ${shlibs:Depends}
Description: Mesa OpenGL runtime [i686 optimized]
 Mesa is a 3-D graphics library with an API which is very similar to
 that of OpenGL.  To the extent that Mesa utilizes the OpenGL command
 syntax or state machine, it is being used with authorization from
 Silicon Graphics, Inc.  However, the author makes no claim that Mesa
 is in any way a compatible replacement for OpenGL or associated with
 Silicon Graphics, Inc.
 .
 This library provides a pure software rasteriser; it does not provide
 a direct rendering-capable library, or one which uses GLX.  For that,
 please see libgl1-mesa-glx.
 .
 On Linux, this library is also known as libGL or libGL.so.1.
 .
 This set of libraries is optimized for i686 machines and will only be used if
 you are running a 2.6 kernel on an i686 class CPU. This includes Pentium Pro,
 Pentium II/II/IV, Celeron CPU's and similar class CPU's (including clones
 such as AMD Athlon/Opteron, VIA C3 Nehemiah, but not VIA C3 Ezla).

Package: libgl1-mesa-swx11-dev
Section: libdevel
Priority: extra
Architecture: any
Depends: libgl1-mesa-swx11 (= ${binary:Version}), libc6-dev, libx11-dev, libxext6, mesa-common-dev (= ${source:Version})
Provides: libgl-dev, mesag-dev, libgl1-mesa-swrast-dev
Conflicts: mesa-dev, libgl-dev, mesag3 (<< 3.1-1), nvidia-glx-dev, mesag-dev, libgl1-mesa-swrast-dev
Replaces: libgl-dev, mesag-dev, libgl1-mesa-swrast-dev
Description: A free implementation of the OpenGL API -- development files
 This package provides the development environment required for
 compiling programs with Mesa.  For a complete description of Mesa,
 please look at the libgl1-mesa-swx11 package.
 .
 This library provides a pure software rasteriser; it does not provide
 a direct rendering-capable library, or one which uses GLX.  For that,
 please see libgl1-mesa-dev.

Package: libgl1-mesa-glx
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libgl1, libgl1-mesa-dri (<< 6.4.0)
Replaces: libgl1, libgl1-mesa-dri (<< 6.4.0)
Provides: libgl1
Description: A free implementation of the OpenGL API -- GLX runtime
 This version of Mesa provides GLX and DRI capabilities: it is capable of
 both direct and indirect rendering.  For direct rendering, it can use DRI
 modules from the libgl1-mesa-dri package to accelerate drawing.
 .
 This package does not include the modules themselves: these can be found
 in the libgl1-mesa-dri package.
 .
 For a complete description of Mesa, please look at the
 libgl1-mesa-swx11 package.

Package: libgl1-mesa-glx-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libgl1-mesa-glx (= ${binary:Version})
Description: Debugging symbols for the Mesa GLX runtime
 This version of Mesa provides GLX and DRI capabilities: it is capable of
 both direct and indirect rendering.  For direct rendering, it can use DRI
 modules from the libgl1-mesa-dri package to accelerate drawing.
 .
 This package does not include the modules themselves: these can be found
 in the libgl1-mesa-dri package.
 .
 For a complete description of Mesa, please look at the
 libgl1-mesa-swx11 package.
 .
 This package contains debugging symbols for the GL library with GLX and DRI
 capabilities.

#Package: libgl1-mesa-glx-i686
#Section: libs
#Priority: extra
#Architecture: i386
#Pre-Depends: libgl1-mesa-glx
#Description: A free implementation of the OpenGL API -- GLX runtime [i686 optimized]
# This version of Mesa provides GLX and DRI capabilities: it is capable of
# both direct and indirect rendering.  For direct rendering, it can use DRI
# modules from the libgl1-mesa-dri package to accelerate drawing.
# .
# This package does not include the modules themselves: these can be found
# in the libgl1-mesa-dri package.
# .
# For a complete description of Mesa, please look at the
# libgl1-mesa-swx11 package.
# .
# This set of libraries is optimized for i686 machines and will only be used if
# you are running a 2.6 kernel on an i686 class CPU. This includes Pentium Pro,
# Pentium II/II/IV, Celeron CPU's and similar class CPU's (including clones
# such as AMD Athlon/Opteron, VIA C3 Nehemiah, but not VIA C3 Ezla).

Package: libgl1-mesa-dri
Section: libs
Priority: optional
Architecture: alpha amd64 arm armeb armel hppa i386 ia64 kfreebsd-i386 kfreebsd-amd64 m68k mips mipsel powerpc s390 sparc
Depends: ${shlibs:Depends}, libgl1-mesa-glx (= ${binary:Version})
Suggests: libglide3
Conflicts: xlibmesa-dri (<< 1:7.0.0)
Replaces: xlibmesa-dri (<< 1:7.0.0)
Description: A free implementation of the OpenGL API -- DRI modules
 This version of Mesa provides GLX and DRI capabilities: it is capable of
 both direct and indirect rendering.  For direct rendering, it can use DRI
 modules from the libgl1-mesa-dri package to accelerate drawing.
 .
 This package does not include the OpenGL library itself, only the DRI
 modules for accelerating direct rendering.
 .
 For a complete description of Mesa, please look at the
 libgl1-mesa-swx11 package.
 .
 The tdfx DRI module needs libglide3 to enable direct rendering.

Package: libgl1-mesa-dri-dbg
Section: libdevel
Priority: extra
Architecture: alpha amd64 arm armeb armel hppa i386 ia64 kfreebsd-i386 kfreebsd-amd64 m68k mips mipsel powerpc s390 sparc
Depends: libgl1-mesa-dri (= ${binary:Version})
Description: Debugging symbols for the Mesa DRI modules
 This version of Mesa provides GLX and DRI capabilities: it is capable of
 both direct and indirect rendering.  For direct rendering, it can use DRI
 modules from the libgl1-mesa-dri package to accelerate drawing.
 .
 This package does not include the OpenGL library itself, only the DRI
 modules for accelerating direct rendering.
 .
 For a complete description of Mesa, please look at the
 libgl1-mesa-swx11 package.
 .
 This package contains debugging symbols for the DRI modules.

#Package: libgl1-mesa-dri-i686
#Section: libs
#Priority: extra
#Architecture: i386
#Pre-Depends: libgl1-mesa-dri
#Description: A free implementation of the OpenGL API -- DRI modules [i686 optimized]
# This version of Mesa provides GLX and DRI capabilities: it is capable of
# both direct and indirect rendering.  For direct rendering, it can use DRI
# modules from the libgl1-mesa-dri package to accelerate drawing.
# .
# This package does not include the OpenGL library itself, only the DRI
# modules for accelerating direct rendering.
# .
# For a complete description of Mesa, please look at the
# libgl1-mesa-swx11 package.
# .
# This set of libraries is optimized for i686 machines and will only be used if
# you are running a 2.6 kernel on an i686 class CPU. This includes Pentium Pro,
# Pentium II/II/IV, Celeron CPU's and similar class CPU's (including clones
# such as AMD Athlon/Opteron, VIA C3 Nehemiah, but not VIA C3 Ezla).

Package: libgl1-mesa-dev
Section: libdevel
Architecture: all
Depends: libc6-dev, mesa-common-dev (= ${source:Version}), libgl1-mesa-glx (>= ${source:Upstream-Version})
Conflicts: libgl-dev, libgl1-mesa-dri-dev
Replaces: libgl-dev, libgl1-mesa-dri-dev
Provides: libgl-dev, libgl1-mesa-dri-dev
Description: A free implementation of the OpenGL API -- GLX development files
 This version of Mesa provides GLX and DRI capabilities: it is capable of
 both direct and indirect rendering.  For direct rendering, it can use DRI
 modules from the libgl1-mesa-dri package to accelerate drawing.
 .
 This package includes headers and static libraries for compiling
 programs with Mesa.
 .
 For a complete description of Mesa, please look at the libgl1-mesa-swx11
 package.

Package: mesa-common-dev
Section: libdevel
Architecture: all
Replaces: xlibmesa-gl-dev (<< 1:7), xlibosmesa-dev, libgl1-mesa-swx11-dev (<< 6.5.2), libgl1-mesa-dev (<< 6.5.2)
Depends: libx11-dev
Description: Developer documentation for Mesa
 This package includes the specifications for the Mesa-specific OpenGL
 extensions, the complete set of release notes and the development header
 files common to all Mesa packages.

Package: libosmesa6
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Replaces: libgl1-mesa-swx11 (<< 6.5.2)
Description: Mesa Off-screen rendering extension
 OSmesa is a Mesa extension that allows programs to render to an
 off-screen buffer using the OpenGL API without having to create a
 rendering context on an X Server.  It uses a pure software renderer.
 .
 This package provides both 16-bit and 32-bit versions of the off-screen
 renderer which do not require external libraries to work.

Package: libosmesa6-dev
Section: libdevel
Architecture: any
Depends: libosmesa6 (= ${binary:Version}), mesa-common-dev (= ${source:Version}) | libgl-dev
Conflicts: xlibosmesa-dev, libosmesa4-dev, libosmesa-dev
Replaces: xlibosmesa-dev, libosmesa-dev, libgl1-mesa-swx11-dev (<< 6.5.2), mesa-common-dev (<< 6.5.2)
Provides: xlibosmesa-dev, libosmesa-dev
Description: Mesa Off-screen rendering extension -- development files
 This package provides the required environment for developing programs
 that use the off-screen rendering extension of Mesa.
 .
 For more information on OSmesa see the libosmesa6 package.

Package: libglu1-mesa
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libgl1-mesa-glx | libgl1
Provides: libglu1
Conflicts: mesag3 (<< 5.0.0-1), xlibmesa3, libglu1
Replaces: libglu1
Description: The OpenGL utility library (GLU)
 GLU offers simple interfaces for building mipmaps; checking for the

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the Debian mesa package
# Copyright © 2006 Thierry Reding <thierry@gilfi.de>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

STAMP_DIR = debian/stamp

QUILT_STAMPFN = $(STAMP_DIR)/patch
include /usr/share/quilt/quilt.make

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

DEB_BUILD_ARCH     ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH_CPU  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
DEB_BUILD_DIR      ?= $(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)

export DEB_BUILD_ARCH
export DEB_HOST_ARCH_CPU

# choose which configurations to build
SWX11_GLU_CONFIGS =
DRI_CONFIGS =

include debian/scripts/choose-configs

# build the following configurations by default
CONFIGS = $(SWX11_GLU_CONFIGS) \
          $(DRI_CONFIGS) \
          debian-osmesa \
          debian-osmesa-static \
          debian-osmesa16 \
          debian-osmesa16-static \
          debian-osmesa32 \
          debian-osmesa32-static

STAMP = $(STAMP_DIR)/$(DEB_BUILD_GNU_TYPE)
BUILD_STAMPS = $(addprefix $(STAMP)-build-, $(CONFIGS))
ARCH_INSTALL_STAMPS = $(addprefix $(STAMP)-install-, $(CONFIGS))
INDEP_INSTALL_STAMPS = $(STAMP_DIR)/install-source

# list the configurations that will built
configs:
	@echo Building the following configurations: $(CONFIGS)

$(STAMP_DIR):
	dh_testdir
	mkdir -p $@

$(QUILT_STAMPFN): $(STAMP_DIR)


build: $(BUILD_STAMPS)

$(STAMP)-build-%: patch
	dh_testdir
	mkdir -p $(DEB_BUILD_DIR)/$*
	find $(CURDIR)/* -maxdepth 0 -not -path '$(DEB_BUILD_DIR)*' | \
		xargs cp -rlf --target-directory=$(DEB_BUILD_DIR)/$*
	ln -sf $* $(DEB_BUILD_DIR)/$*/configs/current
	cd $(DEB_BUILD_DIR)/$* && $(MAKE)
	touch $@

pre-install:
	dh_testdir
	dh_testroot
	dh_clean -k
	rm -rf $(INSTALL_STAMPS)

install: pre-install $(ARCH_INSTALL_STAMPS)

$(STAMP)-install-%: $(STAMP)-build-%
	# Add here commands to install the package into debian/tmp
	cd $(DEB_BUILD_DIR)/$* && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	touch $@

$(STAMP_DIR)/install-source: pre-install
	# install Mesa source for mesa-swx11-source package
	chmod a+x debian/scripts/install-source.sh
	debian/scripts/install-source.sh
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	dh_clean --exclude ./Makefile.orig
	rm -rf $(DEB_BUILD_DIR) $(STAMP_DIR)

# Build architecture-independent files here.
binary-indep: build install $(INDEP_INSTALL_STAMPS)
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install --sourcedir=debian/tmp --list-missing -i
	dh_installman -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -s
	dh_installdocs -s
	dh_installexamples -s
	dh_install --sourcedir=debian/tmp --list-missing -s
	dh_installman -s
	dh_link -s
	dh_strip -plibgl1-mesa-swx11 --dbg-package=libgl1-mesa-swx11-dbg
	dh_strip -plibgl1-mesa-glx --dbg-package=libgl1-mesa-glx-dbg
	dh_strip -plibgl1-mesa-dri --dbg-package=libgl1-mesa-dri-dbg
	dh_strip -s
	dh_compress -s
	dh_fixperms -s
	dh_makeshlibs -s
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-indep binary-arch
.PHONY: configs build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://sf.net/mesa3d/MesaLib-(.*)\.tar\.gz

## mesa 7.0.3-maemo4

=== src/mesa/drivers/dri/i965/Makefile ===

TOP = ../../../../..
include $(TOP)/configs/current

LIBNAME = i965_dri.so

DRIVER_SOURCES = \
	bufmgr_fake.c \
	intel_batchbuffer.c \
	intel_blit.c \
	intel_buffer_objects.c \
	intel_buffers.c \
	intel_context.c \
	intel_ioctl.c \
	intel_mipmap_tree.c \
	intel_regions.c \
	intel_screen.c \
	intel_span.c \
	intel_pixel_copy.c \
	intel_pixel_bitmap.c \
	intel_state.c \
	intel_tex.c \
	intel_tex_layout.c \
	intel_tex_validate.c \
	brw_aub.c \
	brw_aub_playback.c \
	brw_cc.c \
	brw_clip.c \
	brw_clip_line.c \
	brw_clip_point.c \
	brw_clip_state.c \
	brw_clip_tri.c \
	brw_clip_unfilled.c \
	brw_clip_util.c \
	brw_context.c \
	brw_curbe.c \
	brw_draw.c \
	brw_draw_upload.c \
	brw_eu.c \
	brw_eu_debug.c \
	brw_eu_emit.c \
	brw_eu_util.c \
	brw_fallback.c \
	brw_gs.c \
	brw_gs_emit.c \
	brw_gs_state.c \
	brw_hal.c \
	brw_metaops.c \
	brw_misc_state.c \
	brw_program.c \
	brw_sf.c \
	brw_sf_emit.c \
	brw_sf_state.c \
	brw_state_batch.c \
	brw_state_cache.c \
	brw_state_pool.c \
	brw_state_upload.c \
	brw_tex.c \
	brw_tex_layout.c \
	brw_urb.c \
	brw_util.c \
	brw_vs.c \
	brw_vs_constval.c \
	brw_vs_emit.c \
	brw_vs_state.c \
	brw_vs_tnl.c \
	brw_vtbl.c \
	brw_wm.c \
	brw_wm_debug.c \
	brw_wm_emit.c \
	brw_wm_fp.c \
	brw_wm_iz.c \
	brw_wm_glsl.c \
	brw_wm_pass0.c \
	brw_wm_pass1.c \
	brw_wm_pass2.c \
	brw_wm_sampler_state.c \
	brw_wm_state.c \
	brw_wm_surface_state.c 

C_SOURCES = \
	$(COMMON_SOURCES) \
	$(MINIGLX_SOURCES) \
	$(DRIVER_SOURCES)

ASM_SOURCES = 

DRIVER_DEFINES = -I../intel

include ../Makefile.template

intel_tex_layout.o: ../intel/intel_tex_layout.c

symlinks:

=== debian/changelog ===
mesa (7.0.3-maemo4) stable-security; urgency=low

  * change rules

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Tue,  4 Sep 2012 08:52:25 -0400

mesa (7.0.3-maemo3) stable-security; urgency=low

  * remove i386 build flag

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Tue,  4 Sep 2012 08:24:11 -0400

mesa (7.0.3-maemo2) stable-security; urgency=low

  * Optify package

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Wed, 11 Apr 2012 04:42:01 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Thomas Maass <inyourface@gmx.de>
 Standards-Version: 3.7.3
-Build-Depends: debhelper (>= 5), quilt (>= 0.40), pkg-config, libdrm-dev (>= 2.2.0) [!hurd-i386], libx11-dev, xutils-dev, x11proto-gl-dev (>= 1.4.8), libxxf86vm-dev, libexpat1-dev, lesstif2-dev, dpkg-dev (>= 1.13.19), libxfixes-dev, libxdamage-dev, libxext-dev
+Build-Depends: debhelper (>= 5), quilt (>= 0.40), pkg-config, libdrm-dev (>= 2.2.0) [!hurd-i386], libx11-dev, xutils-dev, x11proto-gl-dev (>= 1.4.8), libxxf86vm-dev, libexpat1-dev, lesstif2-dev, dpkg-dev (>= 1.13.19), libxfixes-dev, libxdamage-dev, libxext-dev, maemo-optify
 Vcs-Git: git://git.debian.org/git/pkg-xorg/lib/mesa
 Vcs-Browser: http://git.debian.org/?p=pkg-xorg/lib/mesa.git
 Homepage: http://mesa3d.sourceforge.net/
@@ -55,29 +55,29 @@
  This package contains debugging symbols for the software rasterization GL
  library.
 
-Package: libgl1-mesa-swx11-i686
-Section: libs
-Priority: extra
-Architecture: i386
-Depends: libgl1-mesa-swx11 (= ${binary:Version}), ${shlibs:Depends}
-Description: Mesa OpenGL runtime [i686 optimized]
- Mesa is a 3-D graphics library with an API which is very similar to
- that of OpenGL.  To the extent that Mesa utilizes the OpenGL command
- syntax or state machine, it is being used with authorization from
- Silicon Graphics, Inc.  However, the author makes no claim that Mesa
- is in any way a compatible replacement for OpenGL or associated with
- Silicon Graphics, Inc.
- .
- This library provides a pure software rasteriser; it does not provide
- a direct rendering-capable library, or one which uses GLX.  For that,
- please see libgl1-mesa-glx.
- .
- On Linux, this library is also known as libGL or libGL.so.1.
- .
- This set of libraries is optimized for i686 machines and will only be used if
- you are running a 2.6 kernel on an i686 class CPU. This includes Pentium Pro,
- Pentium II/II/IV, Celeron CPU's and similar class CPU's (including clones
- such as AMD Athlon/Opteron, VIA C3 Nehemiah, but not VIA C3 Ezla).
+#Package: libgl1-mesa-swx11-i686
+#Section: libs
+#Priority: extra
+#Architecture: i386
+#Depends: libgl1-mesa-swx11 (= ${binary:Version}), ${shlibs:Depends}
+#Description: Mesa OpenGL runtime [i686 optimized]
+# Mesa is a 3-D graphics library with an API which is very similar to
+# that of OpenGL.  To the extent that Mesa utilizes the OpenGL command
+# syntax or state machine, it is being used with authorization from
+# Silicon Graphics, Inc.  However, the author makes no claim that Mesa
+# is in any way a compatible replacement for OpenGL or associated with
+# Silicon Graphics, Inc.
+# .
+# This library provides a pure software rasteriser; it does not provide
+# a direct rendering-capable library, or one which uses GLX.  For that,
+# please see libgl1-mesa-glx.
+# .
+# On Linux, this library is also known as libGL or libGL.so.1.
+# .
+# This set of libraries is optimized for i686 machines and will only be used if
+# you are running a 2.6 kernel on an i686 class CPU. This includes Pentium Pro,
+# Pentium II/II/IV, Celeron CPU's and similar class CPU's (including clones
+# such as AMD Athlon/Opteron, VIA C3 Nehemiah, but not VIA C3 Ezla).
 
 Package: libgl1-mesa-swx11-dev
 Section: libdevel
@@ -276,4 +276,3 @@
 Conflicts: mesag3 (<< 5.0.0-1), xlibmesa3, libglu1
 Replaces: libglu1
 Description: The OpenGL utility library (GLU)
- GLU offers simple interfaces for building mipmaps; checking for the

=== debian/rules ===
--- 
+++ 
@@ -133,6 +133,9 @@
 	dh_installdeb -s
 	dh_shlibdeps -s
 	dh_gencontrol -s
+ifneq (,$(findstring armel,$(DEB_BUILD_ARCH)))
+	maemo-optify
+endif
 	dh_md5sums -s
 	dh_builddeb -s
